summaryrefslogtreecommitdiffstats
path: root/games
diff options
context:
space:
mode:
author Edward W. Koenig <kingbeowulf@gmail.com>2012-12-14 22:35:32 +0100
committer Matteo Bernardini <ponce@slackbuilds.org>2012-12-15 15:13:40 +0100
commit97c231c9944728d5f3e5e71e4f863bed974595f4 (patch)
tree640300dc921dd573935af0644a90d1cc4e329029 /games
parent71ce863a6565d1fdc42bb11a075a86ff18404914 (diff)
downloadslackbuilds-97c231c9944728d5f3e5e71e4f863bed974595f4.tar.gz
slackbuilds-97c231c9944728d5f3e5e71e4f863bed974595f4.tar.xz
games/jin: Added (Graphical Client for Chess Servers).
Signed-off-by: Matteo Bernardini <ponce@slackbuilds.org>
Diffstat (limited to 'games')
-rw-r--r--games/jin/README9
-rw-r--r--games/jin/doinst.sh3
-rw-r--r--games/jin/jin.SlackBuild84
-rw-r--r--games/jin/jin.desktop11
-rw-r--r--games/jin/jin.info10
-rw-r--r--games/jin/slack-desc19
6 files changed, 136 insertions, 0 deletions
diff --git a/games/jin/README b/games/jin/README
new file mode 100644
index 0000000000..d9920fdbda
--- /dev/null
+++ b/games/jin/README
@@ -0,0 +1,9 @@
+Jin (Graphical Client for Chess Servers)
+
+Jin is an open source, cross platform, graphical client for chess
+servers, written in Java. Jin can run either as a standalone
+application or as an applet, directly from your browser. Currently
+supported servers are the Internet Chess Club and the Free Internet
+Chess Server. Officially supported platforms are Microsoft Windows,
+Mac OS X and Linux, although Jin should work on any operating system
+with a modern Java Runtime Environment (1.4 or later).
diff --git a/games/jin/doinst.sh b/games/jin/doinst.sh
new file mode 100644
index 0000000000..34be13eb65
--- /dev/null
+++ b/games/jin/doinst.sh
@@ -0,0 +1,3 @@
+if [ -x usr/bin/update-desktop-database ]; then
+ usr/bin/update-desktop-database usr/share/applications >/dev/null 2>&1
+fi
diff --git a/games/jin/jin.SlackBuild b/games/jin/jin.SlackBuild
new file mode 100644
index 0000000000..cb249b1fd3
--- /dev/null
+++ b/games/jin/jin.SlackBuild
@@ -0,0 +1,84 @@
+#!/bin/sh
+
+# Slackware build script for jin
+#
+# Copyright 2012 Edward W. Koenig Vancouver, WA, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+#
+# Version 1.0 07-OCT-2012 <kingbeowulf@gmail.com>
+#
+# This is just a repackaging of the original unix tar.gz from
+# http://www.jinchess.com
+
+set -e
+
+PRGNAM=jin
+VERSION=2.14.1
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+# Independent of architecture so will throw it into /opt
+ARCH="noarch"
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+
+# Unpack and place everything in correct locations, correct perms, etc.
+mkdir -p $PKG/opt
+cd $PKG/opt
+tar -xzvf $CWD/$PRGNAM-$VERSION-unix.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+cd $TMP
+
+mkdir -p $PKG/usr/bin
+( cd $PKG/usr/bin
+ ln -sf /opt/$PRGNAM-$VERSION/$PRGNAM $PRGNAM
+)
+
+mkdir -p $PKG/usr/share/applications
+cat $CWD/$PRGNAM.desktop > $PKG/usr/share/applications/$PRGNAM.desktop
+mkdir -p $PKG/usr/share/pixmaps
+cp -a $PKG/opt/$PRGNAM-$VERSION/icon.png $PKG/usr/share/pixmaps/$PRGNAM.png
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+( cd $PKG/opt/$PRGNAM-$VERSION
+ cp -a changelog.txt copyright.txt gpl.txt README $PKG/usr/doc/$PRGNAM-$VERSION
+)
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/games/jin/jin.desktop b/games/jin/jin.desktop
new file mode 100644
index 0000000000..1ec4e79128
--- /dev/null
+++ b/games/jin/jin.desktop
@@ -0,0 +1,11 @@
+[Desktop Entry]
+Encoding=UTF-8
+Name=Jin Chess
+GenericName=Chess Client
+Comment=Graphical Client for Chess Servers
+Exec=/usr/bin/jin
+Path=/usr/share/lib/jin
+Icon=/usr/share/pixmaps/jin.png
+Terminal=false
+Type=Application
+Categories=Game;Games;BoardGame
diff --git a/games/jin/jin.info b/games/jin/jin.info
new file mode 100644
index 0000000000..de979add08
--- /dev/null
+++ b/games/jin/jin.info
@@ -0,0 +1,10 @@
+PRGNAM="jin"
+VERSION="2.14.1"
+HOMEPAGE="http://www.jinchess.com/"
+DOWNLOAD="http://downloads.sourceforge.net/jin/jin-2.14.1-unix.tar.gz"
+MD5SUM="62256214583c3214ffb9046176b6b02d"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="jdk"
+MAINTAINER="Edward W. Koenig"
+EMAIL="kingbeowulf@gmail.com"
diff --git a/games/jin/slack-desc b/games/jin/slack-desc
new file mode 100644
index 0000000000..78dd01fbe2
--- /dev/null
+++ b/games/jin/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+jin: Jin (Graphical Client for Chess Servers)
+jin:
+jin: Jin is an open source, cross platform, graphical client for chess
+jin: servers, written in Java. Jin can run either as a standalone
+jin: application or as an applet, directly from your browser. Currently
+jin: supported servers are the Internet Chess Club and the Free Internet
+jin: Chess Server. Officially supported platforms are Microsoft Windows,
+jin: Mac OS X and Linux, although Jin should work on any operating system
+jin: with a modern Java Runtime Environment (1.4 or later).
+jin:
+jin: homepage: http://www.jinchess.com/